List surveys
curl --request GET \
--url https://app.usertick.com/api/public/v1/surveys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"channel": "website",
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"counts": {
"responses": 123,
"last7Days": 123,
"lastResponseAt": "2026-09-30T10:00:00.000Z"
},
"url": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}Surveys
List surveys
The organization’s surveys, newest first. Archived surveys only with status=archived.
Scopes: surveys:read.
GET
/
surveys
List surveys
curl --request GET \
--url https://app.usertick.com/api/public/v1/surveys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/surveys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/surveys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"channel": "website",
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>"
},
"counts": {
"responses": 123,
"last7Days": 123,
"lastResponseAt": "2026-09-30T10:00:00.000Z"
},
"url": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"updatedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}Authorizations
bearerAuthapiKeyHeader
An API key (utk_live_...) or an app's OAuth access token (uto_...).
Query Parameters
draft, active, paused or archived.
Available options:
draft, active, paused, archived Surveys of one site.
website, link or email.
Available options:
website, link, email Items per page, 1 to 100 (default 25). Out of range is 400 PUB-001-001.
Required range:
1 <= x <= 100The nextCursor of the previous page. Opaque: send it back as it came.